Subject: bug#36706: "guix gc --verify" fails with "FOREIGN KEY constraint failed"

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 17 Jul 2019 22:02:04 +0200

Ingo Ruhnke <[email-masked]> writes:

> I am using guix on Ubuntu 19.04, due to some unrelated BTRFS problems I
> needed to free some space and did a quick:
>
>     $ rm -rv /gnu/store/*libreoff*

This is bad and you cannot recover from it.  The store should *never* be
edited manually as it will become inconsistent with the database (which
I assume you have not edited).

You should use “guix gc” instead to remove unused items from the store.

-- 
Ricardo